#include<iostream>
using namespace std;
int main(){
	int c=0;
	string s,t;
	cin>>t>>s;
	if(s=="a"){
		for(int i=0;i<t.length();i++){
			if(t[i]=='a'){
				t[i]=42;
				c++;
			}
		}
	}
	else{
		int br=0;
		for(int i=0;i<t.length();i++){
			if(t[i]=='a'){
				br++;
				if(br>=s.length()){
					t[i]=42;
					c++;
				}
			}
		}
	}
	cout<<c<<endl;
	cout<<t;
}